function EggTimer:LocalizeCalendarPrompt()
	EggTimerCalendarPromptTitle:SetText(L["EggTimer Calendar Event"]);
	EggTimerCalenderPromptButtonOkay:SetText(L["Add event"])
	EggTimerCalenderPromptButtonCancel:SetText(L["Do nothing"])
	local promptbody = ""
	if EggTimer.calendaritems[1] == 39878 then
		promptbody = L["EggTimer can prepare a reminder event on your calendar for the time when your Mysterious Egg hatches."]
	elseif EggTimer.calendaritems[1] == 44717 then
		promptbody = L["EggTimer can prepare a reminder event on your calendar for the time when your Disgusting Jar becomes ripe."]
	end
	EggTimerCalendarPromptBody:SetText(promptbody);
	EggTimerCalendarPromptBody:SetText(promptbody);
end

function EggTimer:AddCalendarEvent(itemcode)
	local toon = strjoin(" - ", UnitName("player"), GetRealmName())
	local year, month, day, hour, minute
	local expiry = self.db.Items[GetItemInfo(itemcode)].Expires
	year = tonumber(date("%Y", expiry))
	month = tonumber(date("%m", expiry))
	day = tonumber(date("%d", expiry))
	hour = tonumber(date("%H", expiry))
	minute = tonumber(date("%M", expiry))
	CalendarNewEvent()
	CalendarEventSetDate(month, day, year)
	CalendarEventSetDescription(EggTimer.ItemDB[itemcode].Calendar.Description)
	CalendarEventSetTime(hour, minute)
	CalendarEventSetTitle(EggTimer.ItemDB[itemcode].Calendar.Title)
	CalendarEventSetType(5)
end